petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoGetTotalIterationNumber

Gets the total number of Tao iterations completed. This number keeps accumulating if multiple solves are called with the Tao object.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetTotalIterationNumber(Tao tao,PetscInt *iter)

Not Collective Many br

### Input Parameter

tao -Tao context Many br

### Output Parameter

iter -iteration number Many br

### Notes

The total iteration count is updated after each solve, if there is a current Many brTaoSolve() in progress then those iterations are not yet counted. Many br

Many br

### Keywords

Tao, nonlinear, get, iteration, number,

### See Also

TaoGetLinearSolveIterations()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages